﻿package sudoku {
	import flash.display.Shape;
	import flash.display.Sprite;

	public class Grid extends Sprite {
		private var _xy:Number;
		private var _top:Number;
		private var _size:Number;
		
		//	Parameters: 
		//		xy -- top-left corner of background area (x = y = xy)
		//		size -- width and height of square background area
		public function Grid(xy:Number, size:Number):void
		{
			_xy = xy;
			_size = size;
			
			// draw box for the puzzle
			makeLineSet(10, 1);
			makeLineSet(4, 3);
			makeLineSet(2, 4);
			
		}

		private function makeLineSet(numLines:uint, thickness:Number):void
		{
			var beg:Number = _xy - thickness/2;
			var end:Number = _xy + _size - thickness/2;
			var step:Number = _size / (numLines-1);
			var p = beg;
			for (var i=0; i<numLines; i++) {
				// horizontal line
				makeLine(beg, p, end, p, thickness);
				// vertical line
				makeLine(p, beg, p, end, thickness);
				p += step;
			}
		}
		
		private function makeLine(x1:Number, y1:Number, x2:Number, y2:Number, thickness:Number):void 
		{
			var line:Shape = new Shape();
			line.graphics.lineStyle(thickness, 0x333333);
			line.graphics.moveTo(x1, y1);
			line.graphics.lineTo(x2, y2);
			addChild(line);
		}

	}
}